<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <appSettings>
    <add key="RedisPath" value="127.0.0.1:6379,syncTimeout = 2147483647,allowAdmin = true,password = 12345678" />
    <add key="RedisEnable" value="false" />
    <!-- 是否开启Redis缓存 true为开启，否则为false -->
    <add key="IsDebug" value="true" />
    <!-- 是否开启调试模式 true为开启，否则为false -->
    <add key="SaltPassword" value="kesion" />
    <!-- 系统Salt盐值 -->
    <add key="AdminMutiLogin" value="true" />
    <!-- 同个管理员账号是否允许同时多个地方登录，建议设置为false不允许  -->
    <add key="RunOnDemo" value="false" />
    <!-- 演示模式 -->
    <add key="RunOnDemoMsg" value="演示账号，不支持设置！" />
    <!-- 演示模式不允许操作的提示信息 -->
    <add key="AllowExecuteSQL" value="true" />
    <!-- 是否允许后台在线执行SQL语句-->
    <add key="aspnet:MaxHttpCollectionKeys" value="5000" />
    <add key="vs:EnableBrowserLink" value="false" />
    <!-- 银联在线支付 begin-->
    <!-- 签名证书路径，证书位于assets/测试环境证书/文件夹下，请复制到d:/certs文件夹 -->
    <add key="acpsdk.signCert.path" value="d:/certs/acp_test_sign.pfx" />
    <!-- 签名证书密码，测试证书默认000000 -->
    <add key="acpsdk.signCert.pwd" value="000000" />
    <!-- 加密证书路径 -->
    <add key="acpsdk.encryptCert.path" value="d:/certs/acp_test_enc.cer" />
    <!-- 验签中级证书路径 -->
    <add key="acpsdk.middleCert.path" value="d:/certs/acp_test_middle.cer" />
    <!-- 验签根证书路径 -->
    <add key="acpsdk.rootCert.path" value="d:/certs/acp_test_root.cer" />
    <!-- 签名方式，证书方式固定01，请勿改动。 -->
    <add key="acpsdk.signMethod" value="01" />
    <!-- 报文版本号，固定5.1.0，请勿改动。。 -->
    <add key="acpsdk.version" value="5.1.0" />
    <!-- 是否验证https证书，测试环境请设置false，生产环境建议优先尝试true，不行再false。非true的值默认都当false处理 -->
    <add key="acpsdk.ifValidateRemoteCert" value="true" />
    <!-- 是否验证验签证书的CN，测试环境请设置false，生产环境请设置true。非false的值默认都当true处理 -->
    <add key="acpsdk.ifValidateCNName" value="true" />
    <!-- 前台通知地址，填写接收银联前台通知的地址 -->
    <add key="acpsdk.frontUrl" value="http://localhost:8080/demo/api_01_gateway/FrontRcvResponse.aspx" />
    <!-- 后台通知地址，填写后台接收银联后台通知的地址，必须外网能访问 -->
    <add key="acpsdk.backUrl" value="http://222.222.222.222:8080/demo/api_01_gateway/BackRcvResponse.aspx" />
    <!--########################## 测试环境地址（生产环境地址见assets文件夹下面的生产环境配置文件） #############################-->
    <!-- 前台交易地址 -->
    <add key="acpsdk.frontTransUrl" value="https://gateway.95516.com/gateway/api/frontTransReq.do" />
    <!-- 后台交易地址 -->
    <add key="acpsdk.backTransUrl" value="https://gateway.95516.com/gateway/api/backTransReq.do" />
    <!-- 交易状态查询地址 -->
    <add key="acpsdk.singleQueryUrl" value="https://gateway.95516.com/gateway/api/queryTrans.do" />
    <!-- 文件传输类交易地址 -->
    <add key="acpsdk.fileTransUrl" value="https://filedownload.95516.com/" />
    <!-- 批量交易地址 -->
    <add key="acpsdk.batTransUrl" value="https://gateway.95516.com/gateway/api/batchTrans.do" />
    <!-- 有卡交易地址 -->
    <add key="acpsdk.cardRequestUrl" value="https://gateway.95516.com/gateway/api/cardTransReq.do" />
    <!-- app交易地址 手机控件支付使用该地址-->
    <add key="acpsdk.appRequestUrl" value="https://gateway.95516.com/gateway/api/appTransReq.do" />
    <!-- 前台交易地址 -->
    <add key="acpsdk.jf.frontTransUrl" value="https://gateway.95516.com/jiaofei/api/frontTransReq.do" />
    <!-- 后台交易地址 -->
    <add key="acpsdk.jf.backTransUrl" value="https://gateway.95516.com/jiaofei/api/backTransReq.do" />
    <!-- 交易状态查询地址 -->
    <add key="acpsdk.jf.singleQueryUrl" value="https://gateway.95516.com/jiaofei/api/queryTrans.do" />
    <!-- 有卡交易地址 -->
    <add key="acpsdk.jf.cardRequestUrl" value="https://gateway.95516.com/jiaofei/api/cardTransReq.do" />
    <!-- app交易地址 手机控件支付使用该地址-->
    <add key="acpsdk.jf.appRequestUrl" value="https://gateway.95516.com/jiaofei/api/appTransReq.do" />
    <!--##########################log4net配置#############################-->
    <add key="log4net.Config" value="log4net.config" />
    <add key="log4net.Config.Watch" value="True" />
    <!-- 银联在线支付 end-->
    <add key="webpages:Version" value="3.0.0.0" />
    <add key="webpages:Enabled" value="false" />
    <add key="ClientValidationEnabled" value="true" />
    <add key="UnobtrusiveJavaScriptEnabled" value="true" />
  </appSettings>
  <system.web>
    <caching>
      <outputCacheSettings>
        <outputCacheProfiles>
          <!--name 缓存配置名称  duration 缓存的时间（以秒计）  enabled  指定缓存有效  -->
          <add name="outputCache60" duration="60" enabled="true" varyByParam="*" />
        </outputCacheProfiles>
      </outputCacheSettings>
    </caching>
    <customErrors mode="Off" />
    <!--
     考试系统 word导入题库不成功，请将下面设置为true，并输入服务器的账号和密码 
    <identity impersonate="true" userName="administrator" password="654321" />
    -->
    <httpRuntime maxRequestLength="102400000" useFullyQualifiedRedirectUrl="true" executionTimeout="60000" minFreeThreads="8" minLocalRequestFreeThreads="4" appRequestQueueLimit="100" enableVersionHeader="true" requestValidationMode="2.0" />
    <!--全局定义页特定配置设置，如配置文件范围内的页和控件的 ASP.NET 指令。-->
    <pages validateRequest="false" enableEventValidation="false" viewStateEncryptionMode="Never" controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID">
      <controls>
        <add tagPrefix="KS" namespace="Kesion.Controls" assembly="Kesion.APPCode" />
        <add tagPrefix="KS" src="~/Config/Control/manage/Page.ascx" tagName="Page" />
        <add tagPrefix="KS" src="~/Config/Control/manage/SpecialControl.ascx" tagName="SpecialControl" />
      </controls>
    </pages>
   
    <globalization requestEncoding="utf-8" responseEncoding="utf-8" culture="zh-CN" uiCulture="zh-CN" />
    <compilation debug="true" defaultLanguage="c#" targetFramework="4.5">
      <buildProviders>
        <add extension=".html" type="System.Web.Compilation.PageBuildProvider" />
      </buildProviders>
    </compilation>
  </system.web>
  <system.webServer>
    <modules>
      <add type="Kesion.APPCode.HttpModule" name="HttpModule" />
    </modules>
    <security>
      <requestFiltering>
        <requestLimits maxAllowedContentLength="262144000" />
      </requestFiltering>
    </security>
    <defaultDocument>
      <files>
        <clear />
        <add value="index.aspx" />
        <add value="index.html" />
      </files>
    </defaultDocument>
    <handlers>
      <add name="html" path="*.html" verb="*" type="System.Web.UI.PageHandlerFactory" />
      <add name="all" path="*" verb="*" modules="IsapiModule" scriptProcessor="%windir%\Microsoft.NET\Framework\v4.0.30319\aspnet_isapi.dll" resourceType="Unspecified" requireAccess="None" preCondition="classicMode,runtimeVersionv2.0,bitness32" />
    <remove name="ExtensionlessUrlHandler-Integrated-4.0" /><remove name="OPTIONSVerbHandler" /><remove name="TRACEVerbHandler" /><add name="ExtensionlessUrlHandler-Integrated-4.0" path="*." verb="*" type="System.Web.Handlers.TransferRequestHandler" preCondition="integratedMode,runtimeVersionv4.0" /></handlers>
   <!-- <staticContent>
      <mimeMap fileExtension=".mp4" mimeType="application/octet-stream" />
      <mimeMap fileExtension=".woff" mimeType="application/x-woff" />
    </staticContent>
	-->
  </system.webServer>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="VerifySoap" />
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="http://www.kesion.com/websystem/Verify.asmx" binding="basicHttpBinding" bindingConfiguration="VerifySoap" contract="KesionService.VerifySoap" name="VerifySoap" />
    </client>
  </system.serviceModel>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>